# Uses of Class
org.eclipse.swt.events.PaintEvent

Packages that use PaintEvent
Package
Description
org.eclipse.e4.ui.widgets
org.eclipse.help.ui.internal
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.swt.events
SWT typed listener support.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.

## Uses of PaintEvent in org.eclipse.e4.ui.widgets

Methods in org.eclipse.e4.ui.widgets with parameters of type PaintEvent
Modifier and Type
Method
Description
`protected void`
ImageBasedFrame.`drawFrame(PaintEvent e)`

## Uses of PaintEvent in org.eclipse.help.ui.internal

Methods in org.eclipse.help.ui.internal with parameters of type PaintEvent
Modifier and Type
Method
Description
`protected void`
HyperlinkLabel.`paint(PaintEvent e)`
`void`
HyperlinkHandler.`paintControl(PaintEvent e)`

## Uses of PaintEvent in org.eclipse.jface.text

Methods in org.eclipse.jface.text with parameters of type PaintEvent
Modifier and Type
Method
Description
`void`
MarginPainter.`paintControl(PaintEvent e)`
`void`
WhitespaceCharacterPainter.`paintControl(PaintEvent event)`

## Uses of PaintEvent in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source with parameters of type PaintEvent
Modifier and Type
Method
Description
`void`
AnnotationPainter.`paintControl(PaintEvent event)`
`void`
MatchingCharacterPainter.`paintControl(PaintEvent event)`

## Uses of PaintEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type PaintEvent
Modifier and Type
Method
Description
`void`
PaintListener.`paintControl(PaintEvent e)`
Sent when a paint event occurs for the control.

## Uses of PaintEvent in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets with parameters of type PaintEvent
Modifier and Type
Method
Description
`protected void`
ExpandableComposite.`onPaint(PaintEvent e)`
If TITLE_BAR or SHORT_TITLE_BAR style is used, title bar decoration will be painted behind the text in this method.
`protected void`
Section.`onPaint(PaintEvent e)`
`protected void`
AbstractHyperlink.`paint(PaintEvent e)`
Paints the control as a reaction to the provided paint event.
`protected void`
TreeNode.`paint(PaintEvent e)`